# Edit / Get-agent

Agent Edit API use for get a particular agent details and agent edit details. If you want to a agent details use this API and setup your dashboard easily.

#### **How to get id**&#x20;

if you create own dashboard then first use agents **list** API and get **`id`** for edit API parameter.

| Parameter     | Value                                            |
| ------------- | ------------------------------------------------ |
| Path          | <https://app.acquire.io/api/account/agents/edit> |
| Method        | POST                                             |
| Authorization | Bearer **`[YOUR_API_AUTH_TOKEN]`**               |
| Content-type  | application/x-www-form-urlencoded                |

#### **Body (urlencoded)**

| Parameter | Value |
| --------- | ----- |
| id        | 5128  |

#### Response JSON

```javascript
{
    "success": true,
    "error": null,
    "data": {
        "id": 5128,
        "name": "david",
        "email": "devidklok@acquire.io",
        "status": "active",
        "allowed_ip": "",
        "userId": 3518,
        "accountId": 4574,
        "role": 1,
        "department": "",
        "role": "Administrator"
    }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.acquire.io/master/rest-apis/agent/edit-get-agent.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
